Canto-curses(1)

NAME
Canto-curses - An ncurses frontend for canto-daemon

COMMAND LINE USAGE
canto-curses (options)

OPTIONS

-V  Print version info and exit.

-h/--help
    Print usage help

-v  Enable verbose logging (debug)

-D/--dir [directory]
    Change base directory for canto-daemon (default: $XDG_CONFIG_HOME/canto)

--noplugins
    Disable all plugins

--enableplugins 'plugin1 plugin2...'
    Enable these plugins (overrides --noplugins)

--disableplugins 'plugin1 plugin2...'
    Disable these plugins

-a/--address [IP]
    Attempt to connect to address instead of local Unix socket, defaults to loopback (127.0.0.1)

-p/--port [port]
    Use port when listening with -a

-l  Append pid to log filename (debug)

GETTING STARTED

: (colon)
    Will bring up the canto-curses command line

:help
    Will bring up the internal help (more complete list of keybinds and commands)

BASIC COMMANDS

:set browser [browser]
    Set your favorite browser

:set browser.text [True|False]
    Set this to True if you're using a text based browser like elinks so canto-curses knows to give up the screen to it.

:add [URL] (username=user password=secret) (name="Some name")
    Subscribe to a feed, with optional arguments

:del
    Unsubscribe from the selected feed

BASIC KEYBINDS

j/k up/down
    Previous item / Next item

J/K
    Previous tag / Next tag

PgUp/PgDown
    Previous page / Next page

g
    Goto the selected item in your browser

<space>
    Open / close the internal item reader

c/v
    Collapse (minimize) / uncollapse the selected tag

C/V
    Collapse (minimize) / uncollapse all visible tags

ADVANCED USAGE
Canto-curses supports a lot more features like categorizing feeds/tags, filtering and sorting, searching, and more that can be discovered with :help It also supports a variety of plugins that can add a lot of extra functionality, which are included with this install or available on the homepage.

PLUGINS
Plugins are packaged in <prefix>/canto/plugins (i.e. /usr/lib/canto/plugins) and can be enabled by copying them into your configuration directory (i.e. $XDG_CONFIG_HOME/canto/plugins). Many of them have configuration in them, so you may want to open the files to make changes. Here are a few example plugins included with the canto-curses source.

autocmd.py
    Issue commands automatically on startup (useful to change configuration on startup)

reader-extras.py
    Adds extra content to some feeds, also useful to see what's included in a feed.

xtermtitle.py
    Set the title of xterm compatible terminals on startup, and optionally include selected item title

yank.py
    Adds :yank-link (defaults to 'y') and :yank-title commands (needs xclip installed)

favorites.py
    A proof of concept user "favorites" tag, that can change the appearance of certain items selected by the user.

smartlink.py
    A plugin that lets you define specific handlers for links based on the URL or the output of `file` on the downloaded content. Useful for listening to podcast enclosures or displaying PDF/image/other content in a dedicated program.

cleantitle.py
    A plugin that helps strip bad content (newlines, HTML, etc.) out of item titles

FILES

$XDG_CONFIG_HOME/canto/curses-log
    Canto-curses log file.

$XDG_CONFIG_HOME/canto/plugins/
    Canto-curses enabled plugins directory

/usr/lib/canto/plugins
    Default packaged plugin directory.

HOMEPAGE
http://codezen.org/canto-ng

AUTHOR
Jack Miller <jack@codezen.org>

SEE ALSO
canto-daemon(1) canto-remote(1)